# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		sir
Version:	3.2.2
Release:	alt1_1
Summary:	A simple application for re-sizing images
License:	GPLv2+
Group:		Graphics
URL:		https://marek629.github.io/SIR/
Source:		https://github.com/marek629/SIR/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		sir-3.1-fix-desktop-file.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	ccmake cmake ctest

Requires:	dcraw
Source44: import.info

%description
sir (Simple Image Resizer) is a simple application for re-sizing images,
inspired by GTPY - ImageResizer. It uses C++/QT5 and QImage class to
convert the images.

%prep
%setup -q -n SIR-%{version}
%patch0 -p1


%build
%{mageia_cmake_qt5}

%mageia_cmake_build

%install
%mageia_cmake_install

%files
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/sir/


%changelog
* Wed Nov 22 2023 Igor Vlasenko <viy@altlinux.org> 3.2.2-alt1_1
- switch to mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_24
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_21
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_20
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_19
- update to new release by fcimport

* Thu Feb 07 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_17
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_16
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt2_10
- update to new release by fcimport

* Sun Sep 20 2015 Cronbuild Service <cronbuild@altlinux.org> 2.5.1-alt2_6
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_6
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_5
- update to new release by fcimport

* Sat Dec 07 2013 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_4
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_3
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_2
- initial fc import

